/****************************************************************/
/*  
     ***   ***  ***  *** ***     *** ***   ******  ****  ***
     ***   ***  ***  *** ***     *** **   ***  *** ***** ***
     ***   ***  ***  *** ***     *****    ******** *** *****
      *** ***   ***  *** ******* *** **   ***  *** ***  ****
       *****     *****   ******* *** ***  ***  *** ***   ***

     Vulkan Graphics API
     Introductory Tutorials

     Minimal working examples (MWE) to build upon and 
     modify to gain an understanding of the API

/*
/****************************************************************/


#version 420

layout (location = 0) in vec3 inNormal;
layout (location = 1) in vec3 inColor;

layout (location = 0) out vec4 outFragColor;

void main()
{
  // simple hard coded directional light
  float diff     = 0.4 + dot(inNormal, vec3(-0.1,0.9,0));
  // scale color based on the direction towards the light
  outFragColor   = vec4(inColor, 1) * diff;
  outFragColor.a = 1.0;	

}// End main(..)