/****************************************************************/
/*  
     ***   ***  ***  *** ***     *** ***   ******  ****  ***
     ***   ***  ***  *** ***     *** **   ***  *** ***** ***
     ***   ***  ***  *** ***     *****    ******** *** *****
      *** ***   ***  *** ******* *** **   ***  *** ***  ****
       *****     *****   ******* *** ***  ***  *** ***   ***

	 Vulkan Graphics API
	 Introductory Tutorials

   Minimal working examples (MWE) to build upon and 
   modify to gain an understanding of the API

/*
/****************************************************************/



#include "debugmesh.h"


VkBuffer			                    DebugMesh::vbuf;
VkDeviceMemory                    DebugMesh::vmem;
size_t				                    DebugMesh::vsize;
                                  
VkBuffer			                    DebugMesh::ibuf;
VkDeviceMemory	                  DebugMesh::imem;
size_t				                    DebugMesh::isize;
                                  
VkBuffer			                    DebugMesh::ubuf;
VkDeviceMemory	                  DebugMesh::umem;
size_t				                    DebugMesh::usize;
                                  
uint32_t			                    DebugMesh::indexCount;
Vector3				                    DebugMesh::dim;
DebugMesh::stVerticeDescription   DebugMesh::verticeDescription;

vector<DebugMesh::stVertex>       DebugMesh::vertexBuffer;
vector<uint32_t>                  DebugMesh::indexBuffer;
Matrix4                           DebugMesh::modelMatrix;
Matrix4                           DebugMesh::viewMatrix;
Matrix4                           DebugMesh::projectionMatrix;
VkShaderModule                    DebugMesh::vertShaderModule;
VkShaderModule                    DebugMesh::fragShaderModule;


VkPipelineLayout                  DebugMesh::pipelineLayout;
VkPipeline                        DebugMesh::pipeline;
VkDescriptorSet                   DebugMesh::descriptorSet;
VkDescriptorSetLayout             DebugMesh::descriptorSetLayout;













